org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmParameterImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl
  - - org.apache.olingo.odata2.client.core.edm.Impl.EdmTypedImpl
    - - org.apache.olingo.odata2.client.core.edm.Impl.EdmElementImpl
      - - org.apache.olingo.odata2.client.core.edm.Impl.EdmParameterImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmElement, EdmMappable, EdmNamed, EdmParameter, EdmTyped

      public class EdmParameterImpl
      extends EdmElementImpl
      implements EdmParameter, EdmAnnotatable

  Objects of this class represent EdmParameter

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmTypedImpl

      `edmType, multiplicity, typeName`

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `edm, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmParameterImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `EdmType` | `getType()` See `EdmType` for more information about possible types.
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setParameter(EdmFunctionImportParameter parameter)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmElementImpl

      `getFacets, getMapping, setFacets, setMapping`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmTypedImpl

      `getMultiplicity, setEdmType, setMultiplicity, setTypeName`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `getName, setEdm, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmElement

      `getFacets`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmMappable

      `getMapping`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmTyped

      `getMultiplicity`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

- - ### Constructor Detail

    - #### EdmParameterImpl

          public EdmParameterImpl()

  - ### Method Detail

    - #### getType

          public EdmType getType()
                          throws EdmException

      Description copied from interface: `EdmTyped`
      See `EdmType` for more information about possible types.
      Specified by:
        `getType` in interface `EdmTyped`
      Overrides:
        `getType` in class `EdmTypedImpl`
      Returns:
        `EdmType`
      Throws:
        `EdmException`

    - #### setParameter

          public void setParameter(EdmFunctionImportParameter parameter)

      Parameters:
        `parameter` - the parameter to set

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

      Parameters:
        `annotations` - the annotations to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EdmElementImpl`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.